import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits import mplot3d

D = np.loadtxt( "datos.txt" )
print( D.shape )

# Capa 2
W2 = np.array([[1.10921341, 0.36009643],
       [1.13277565, 0.74908304]])

W3 = np.array([[ 1.01841203], [-1.36872865]])

Sesgo2 = np.array([ 0.36260893, -0.21236555])

Sesgo3 = np.array([-1.08887889])

def evalua( x ) :
	#   1x2 2x2 = 1x2
	S2 = np.tanh( x @ W2 + Sesgo2 )

	S3 = S2 @ W3 + Sesgo3

	v = 1/(1+np.exp(-S3) )
	if v > 0.5 :
		return 1
	else :
		return 0

vv = np.zeros( (1,2) )
n, m = D.shape
i = 0
while i < n :
	D[i,2] = -1
	vv[0,0] = D[i,0]
	vv[0,1] = D[i,1]
	D[i,2] = evalua( vv )
	i += 1

fig = plt.figure()
ax = plt.axes( projection="3d" )

ax.scatter3D( D[:,0], D[:,1], D[:,2] )

plt.show( )

